> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom field filter values

> Get distinct values used by tasks for each custom field of a project.



## OpenAPI

````yaml /openapi.json get /custom-field/project/{projectId}/filter-values
openapi: 3.1.0
info:
  title: Kaneo API
  version: 1.0.0
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
paths:
  /custom-field/project/{projectId}/filter-values:
    get:
      tags:
        - Custom Fields
      summary: Get custom field filter values
      description: Get distinct values used by tasks for each custom field of a project.
      operationId: getCustomFieldFilterValues
      parameters:
        - schema:
            type: string
          required: true
          name: projectId
          in: path
      responses:
        '200':
          description: Distinct values used for each custom field
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomFieldFilterValues'
        '400':
          description: Unknown project, or its workspace could not be determined
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid credentials
        '403':
          description: No access to the project's workspace
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    CustomFieldFilterValues:
      type: object
      properties:
        fieldId:
          type: string
        fieldName:
          type: string
        fieldType:
          type: string
        values:
          type: array
          items:
            type: string
      required:
        - fieldId
        - fieldName
        - fieldType
        - values
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or session token (Bearer)

````